Subject: Re: 'make' timing problem
From: "Johan Bezem" <[email-masked]>
To: "Harig Mark A." <[email-masked]>
Cc: CygWin Mailing List <[email-masked]>
Date: Thu, 27 Jun 2002 08:33:59 +0200

Hi,

what file system are you working on? It is known that FAT/FAT32 (if I remember
correctly) have a resolution of 2 seconds; I f you're using a fast PC, maybe that
could cause problems...
Are you using the make packaged in CygWin, or the native one? There's a special
mailing list for GNU make on W32 systems, mailto:[email-masked], where non-CygWin
related questions can be submitted.
How large is "large"? 20? 20000? Maybe you can give out some more information. I've
been using make 3.79.1-5 for a while now (on NTFS), and had no such problems till now
(approx. 1100 source [*.c??, *.h??]  files for a full build).

FWIW,

Johan Bezem
CSK Software AG

"Harig, Mark A." wrote:
> 
> (Time to change the subject line -- Maybe this has
> nothing to do with the cygwin-1.3.11-3 release.)
> 
> >
> > Has this problem just started? or have you been seeing this for some
> > time? (which will help understand whether it's related to sub-second
> > timestamps at all).
> >
> >
> 
> I'm writing some GNU makefiles (in the past week)
> and testing them, so I don't have any history with
> them with previous versions of 'make', etc.
> 
> FWIW, I'm using cygwin-1.3.11-3, of course, and GNU
> 'make' version 3.79.1.
> 
> I tried to reproduce the problem with a one-line Makefile:
> 
> hello.a: hello.a(hello.o)
> 
> Although this gives the expected output:
> 
> >gcc    -c -o hello.o hello.c
> >ar rv hello.a hello.o
> >a - hello.o
> >rm hello.o
> 
> it does not have the (undesired) side-effect, that is,
> if I run 'make' a second time, it says (correctly) that
> there is nothing to be done for 'hello.a'.  The problem
> only occurs (repeatedly and reproducibly) when I have
> a "large" number of files.
> 
> > -----Original Message-----
> > From: Conrad Scott [mailto:[email-masked]]
> > Sent: Tuesday, June 25, 2002 3:30 PM
> > To: Harig, Mark A.; [email-masked]
> > Subject: Re: [ANNOUNCEMENT] Updated: cygwin-1.3.11-3
> >
> >
> > "Harig, Mark A." <[email-masked]> wrote:
> > > The "solution"?  I added step 1a. "sleep 1":
> > >
> > >   1. generate assembly language from c code
> > >   1a. sleep 1
> > >   2. assemble the .asm into .o
> > >   3. archive the .o into .a
> > >
> > > Should it be considered part of the standard Cygwin build
> > > of 'make' that the '--disable-nsec-timestamps' be used
> > > during configuration?
> >
> > There has been (AFAIK) no release of make since the patch for
> > sub-second timestamps, so you will be using a version that has
> > (effectively) been compiled with --disable-nsec-timestamps (unless
> > you've compiled a copy for yourself recently).
> >
> > Has this problem just started? or have you been seeing this for some
> > time? (which will help understand whether it's related to sub-second
> > timestamps at all).
> >
> > // Conrad
> >
> >
> >
> >
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/